server.port=7004
#tomcat\u6700\u5927\u7EBF\u7A0B\u6570\uFF0C\u9ED8\u8BA4\u4E3A200
server.tomcat.threads.max=2500
#tomcat\u6700\u5927\u8FDE\u63A5\u6570
server.tomcat.max-connections=2500
#tomcat\u7684URI\u7F16\u7801
server.tomcat.uri-encoding=UTF-8

#\u9879\u76EE\u540D\u79F0
spring.application.name=teachcloud-report

#\u6570\u636E\u6E90\u914D\u7F6E
db.host=localhost
db.port=3306
db.name=teachcloud-report-v3.1.0
db.username=ENC(HR5javPBrhlAf4sy/hbT5w==)
db.password=ENC(YgWN6qax08Zi5Fz83jyNbvfac3Xkg1cI)

#redis\u6570\u636E\u6E90\u914D\u7F6E
com.qmth.redis.host=${db.host}
com.qmth.redis.port=6379
com.qmth.redis.db=2
#com.qmth.redis.password=123456

#mysql\u914D\u7F6E
com.qmth.datasource.url=jdbc:mysql://${db.host}:${db.port}/${db.name}?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8
com.qmth.datasource.username=${db.username}
com.qmth.datasource.password=${db.password}
com.qmth.mybatis.log-level=debug

jasypt.encryptor.password=NFf5S9aVEmrEzJ5M3L6W1
jasypt.encryptor.algorithm=PBEWithMD5AndDES
jasypt.encryptor.pool-size=1
jasypt.encryptor.salt-generator-classname=org.jasypt.salt.RandomSaltGenerator
jasypt.encryptor.iv-generator-classname=org.jasypt.iv.NoIvGenerator

com.qmth.fss.public.config=oss://key:secret@teachcloud-print-dev-public.oss-api.qmth.com.cn
com.qmth.fss.public.server=https://oss-file.qmth.com.cn/teachcloud-print-dev-public
com.qmth.fss.private.config=oss://key:secret@teachcloud-print-dev-private.oss-api.qmth.com.cn
com.qmth.fss.private.server=https://oss-file.qmth.com.cn/teachcloud-print-dev-private

#\u7CFB\u7EDF\u914D\u7F6E
sys.config.oss=true
#sys.config.serverUpload=
#spring.resources.static-locations=file:${sys.config.serverUpload},classpath:/META-INF/resources/,classpath:/resources/

#com.qmth.api.uri-prefix=/aaa
#\u7EDF\u8BA1\u9875\u9762\u914D\u7F6E
com.qmth.api.metrics-endpoint=/metrics-count
com.qmth.api.global-auth=true
#com.qmth.api.global-strict=false
#com.qmth.api.global-rate-limit=1/5s

#token\u8D85\u65F6\u914D\u7F6E
com.qmth.auth.time-max-ahead=1m
com.qmth.auth.time-max-delay=5m

#\u7F13\u5B58\u65F6\u95F4
com.qmth.cache.expire-after-write=8h

#\u65E5\u671F\u683C\u5F0F\u5316
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8

#\u65E5\u5FD7\u914D\u7F6E
com.qmth.logging.root-level=info
com.qmth.logging.file-path=/Users/king/Downloads/teachcloud-report.log

com.qmth.sms.server=https://solar.qmth.com.cn
com.qmth.mybatis.schema-validate=false